$(function() {
	
		$(document).ajaxStart(function () {
				$('#ajaxBusy').show();
		}).ajaxStop(function () {
				$('#ajaxBusy').hide();
		});

    $('.document').on('click', '.ajax', function(e) {
        e.preventDefault();
        // ajax request
        $.ajax({
            async: true,
            cache: false,
            type: 'post',
            url: '/echo',
						data: {
                html: '<p>This is echoed the response in HTML format</p>',
                delay: 1000 // milliseconds
            },
            dataType: 'html',
            beforeSend: function() { 
                console.log('beforeSend');
            },
            success: function(data) {
                console.log('success');
                $('.document').append(data);
            },
            complete: function() {
                console.log('complete');
            }
        });
    });
});